List exports of a version
GET
/v1/projects/{projectId}/versions/{versionNumber}/exportscurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/versions/{versionNumber}/exports' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- versionNumbernumber必填
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
响应
Success
- dataarray<VersionExportSwaggerDto>必填
- idstring必填
- formatstring必填
- optionsobject必填
- statestring必填可选值queuedrunningsucceededfailedcancelled
- loadCheckstring | null可选值passedfailednot_applicablenot_evaluated
- loadCheckErrorstring | null
- sizeBytesnumber | null
- createdAtstring必填
- workflowRunIdstring | null
- progressobject | null
Progress of the running export step; null unless state is running.
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
响应示例
{
"data": [
{
"id": "string",
"format": "string",
"options": {},
"state": "queued",
"loadCheck": "passed",
"loadCheckError": "string",
"sizeBytes": 0,
"createdAt": "string",
"workflowRunId": "string",
"progress": {}
}
],
"nextPageToken": "string"
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1